<div class="container screen-pt-50">
    <div class="row">
        <div class="col-md-12">
            <div>
                <h3 class="m-t-20"><i class="fa-solid fa-arrow-left"></i> Abonnement</h3>
            </div>
            <!-- <div class="subs-msg">
                Il n'y a pas d'abonnement actif
            </div> -->
            <div class="table-responsive pt-5">
                <table class="table " *ngIf="subPack">
                    <thead>
                        <tr>
                            <th>Numéro de commande</th>
                            <th>Paquet</th>
                            <th>Date du paiement</th>
                            <th>Type de paiement</th>
                            <th>Prix CFA</th>
                            <th>Prix final CFA</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let pack of subPack; let i = index">
                            <td>
                                {{i + 1}}
                            </td>
                            <td>
                                {{pack.name_of_package}}
                            </td>
                            <td>
                                {{pack.date_of_transaction | date:'MMMM d, y'}}
                            </td>
                            <td>
                                {{pack.payment_method}}
                            </td>
                            <td>
                                {{pack.payment_amount}} CFA
                            </td>
                            <td>
                                {{pack.payment_amount + pack.extracommission}} CFA
                            </td>
                        </tr>

                    </tbody>
                </table>
            </div>

            <div class="pt-5">
                <div class="row">
                    <div class="col-lg-6 col-md-6 col-sm-6 col-12" *ngIf="getSubscriptiondata">
                        <div class="panel panl-o">
                            <div class="panel-header ph-o">
                                <h5 style="text-transform: capitalize;">{{getSubscriptiondata[1].package}}</h5>
                            </div>
                            <div class="panel-body pnl-body">
                                <div class="col-12">
                                    <div class="pack1">
                                        <label class="containerc">
                                            <!-- <input type="radio" name="tax" >
                                            <span class="checkmarkc"></span> -->
                                            <span *ngIf="getSubscriptiondata[1].package == 'individual' "> article vendu</span>
                                            <span *ngIf="getSubscriptiondata[1].package == 'professional' "> mois</span>
                                            <span class="cfa-p">{{getSubscriptiondata[1].price| number : '1.2-2'}} CFA</span>
                                            <p>+frais de ventre supplementaires</p>

                                        </label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div>
                                        <ul class="pack-ul">
                                            <!-- <li>
                                                <label class="containers">Vous vendez mois de 40 articles
                                                    par mois
                                                    <input type="checkbox" checked="checked">
                                                    <span class="checkmarks"></span>
                                                </label>
                                            </li> -->
                                            <li>
                                                <label class="containers">{{getSubscriptiondata[1].description}}
                                                    <input type="checkbox" checked="checked">
                                                    <span class="checkmarks"></span>
                                                </label>
                                            </li>
                                            <!-- <li>
                                                <label class="containers">Vous souhaitez beneficer de la
                                                    meilleure position sur les pages detaillees de produits
                                                    <input type="checkbox" checked="checked">
                                                    <span class="checkmarks"></span>
                                                </label>
                                            </li> -->

                                        </ul>
                                    </div>
                                </div>
                                <div class="botm-btn">
                                    <div class="text-center mt-3">
                                        <a class="btn btn-fill" (click)="sendSubscription(getSubscriptiondata[1])"> Souscrire au plan
                                            de vente {{getSubscriptiondata[1].package}}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>